<?php
defined( 'ABSPATH' ) || exit;

add_filter('ultp_addons_config', 'ultp_category_config');
function ultp_category_config( $config ) {
	$configuration = array(
		'name' => __( 'Category', 'ultimate-post-pro' ),
		'desc' => __( 'Choose your desired color and Image for categories or any taxonomy.', 'ultimate-post-pro' ),
		'is_pro' => true,
		'docs' => 'https://docs.wpxpo.com/docs/postx/',
        'live' => 'https://www.wpxpo.com/postx/addons/category/',
		'img' => ULTP_PRO_URL.'assets/img/category-style.svg',
		'position' => 15
	);
	$config['ultp_category'] = $configuration;
	return $config;
}

add_action('init', 'ultp_category_init');
function ultp_category_init(){
	$settings = isset($GLOBALS['ultp_settings']) ? $GLOBALS['ultp_settings'] : [];
	if ( isset($settings['ultp_category']) ) {
		if ($settings['ultp_category'] == 'true') {
			require_once ULTP_PRO_PATH.'/addons/category/Category.php';
        	new \ULTP_PRO\Category();
		}
	}

	add_filter('ultp_settings', 'get_category_settings', 10, 1);
}

function get_category_settings($config) {
	$arr = array(
		'ultp_category' => array(
			'label' => __('Taxonomy', 'ultimate-post-pro'),
			'attr' => array(
				'compare_heading' => array(
					'type'  => 'heading',
					'label' => __('Category Settings', 'ultimate-post-pro'),
				),
				'taxonomy_list' => array(
					'type' => 'multiselect',
					'label' => __('Select Taxonomy', 'ultimate-post-pro'),
					'options' => get_taxonomies(),
					'desc' => __('You Can Select Multiple Taxonomy.', 'ultimate-post-pro'),
					'default' => ['category']
				)
			)
		)
	);
	return array_merge($config, $arr);
}