<?php
namespace ULTP_PRO;

defined('ABSPATH') || exit;

/**
 * The ProgressBar Class
 */
class ProgressBar{
    /**
     * Progressbar Construct.
     */
    public function __construct() {
        add_action( 'wp_footer', array($this, 'progressbar_render') );
    }


    /**
	 * Progress Bar Conditions
     * 
     * @since v.
     * @param | NULL
	 * @return NULL
	 */
    public function progressbar_render() {
       $ultp_setting = get_option('ultp_options');

       $post_id     = get_the_ID();
       $post_type   = get_post_type( $post_id );
       $allpage     = ultimate_post()->get_setting('progressbar_allpage');
       $homepage    = ultimate_post()->get_setting('progressbar_homepage');
       $progressbar = ultimate_post()->get_setting('choice_progressbar');

        if ($allpage === 'yes' && ! is_home()) {
            $this->progressbar_html();
        }

        if ( (is_home() || is_front_page()) && 'yes'== $homepage ){
            $this->progressbar_html();
        } else if ( is_single() || is_page() ) {
            if ( ! empty( $progressbar ) ) {
                if ( in_array( $post_type, $progressbar, true ) ) {
                    $this->progressbar_html();
                }
            }
        }
    }


    /**
	 * Progress Bar HTML CSS & JS
     * 
     * @since v.
     * @param | NULL
	 * @return NULL
	 */
    public function progressbar_html() {
        $color = ultimate_post()->get_setting('progressbar_color');
        $height = ultimate_post()->get_setting('progressbar_height');
        $position = ultimate_post()->get_setting('progressbar_position');
        $css = 'position:fixed; width:0%; z-index: 9999; background-color:'.$color.'; height:'.$height.'px;';
        ?>
        <div id="ultp-progressbar" class="<?php echo 'ultp-progressbar-'.esc_attr($position); ?>" style="<?php echo $css; ?>"></div>
        <script type="text/javascript">
            window.onscroll = function () { 
                const el = document.documentElement;
                const scroll = (( (document.body.scrollTop || el.scrollTop) / (el.scrollHeight - el.clientHeight)) * 100);
                document.getElementById('ultp-progressbar').style.width = scroll + "%";
            }
        </script>
        <?php
    }

}
